
<?php
/*
 * @category: Magepow
 * @copyright: Copyright (c) 2014 Magepow (http://www.magepow.com/)
 * @licence: http://www.magepow.com/license-agreement
 * @author: MichaelHa
 * @create date: 2019-07-15 17:19:50
 * @LastEditors: MichaelHa
 * @LastEditTime: 2020-03-12 21:18:27
 */

/** @var $block \Magento\Catalog\Block\Product\View */

$helper           = $this->helper('Magepow\Stickycart\Helper\Data');
$_product         = $block->getProduct();
$excludeProducts  = $helper->getExcludeProducts();
$arrayProducts    = explode(',', $excludeProducts ?? '');
if (in_array($_product->getId(), $arrayProducts))
  return;
if ( !$_product->isSaleable() ){
  return;
}
$buttonTitle   = __('Add to Cart');
if ($_product->getTypeId() == 'bundle'){
  $buttonTitle = __('Customize and Add to Cart');
}
$_imageHelper  = $this->helper('Magento\Catalog\Helper\Image');
$heightScroll  = $helper->getHeightScroll();
$widthtImage   = $helper->getWidthImage();
$heightImage   = $helper->getHeightImage();
$imageUrl      = $_imageHelper->init($_product, 'product_base_image')
                ->constrainOnly(TRUE)
                ->keepAspectRatio(TRUE)
                ->keepTransparency(TRUE)
                ->keepFrame(FALSE)
                ->resize($widthtImage, $widthtImage)->getUrl();
?>
<div class="stickyCart">
    <div class="container">
        <div class="stickyChild">
            <div class="sticky-cart-primary">
                <div class="contentHide">
                    <div class="clSticky">
                        <div class="imgBorder">
                        <div class="borderImg">
                            <img class="stickyImg" src="<?php echo $imageUrl; ?>">
                        </div>
                        </div>
                    </div>
                </div>
                <div class="contentHide">
                    <div class="clSticky" id="timerSticky">
                        <div class="stickyProductName"><?php echo $block->escapeHtml($_product->getName()) ?></div>
                    </div>
                </div>
                
            </div>
            <div class="sticky-cart-secondary">
                <div class="contentHide">
                    <div class="clSticky" id="parentQtySticky">
                        <div class="quantity">
                            <div class="btn-plus">
                                <button  type="button" class="reduced items" onclick="var result = document.getElementById('qtySticky'); var qtySticky = result.value; if( !isNaN( qtySticky ) && qtySticky > 1 ) result.value--;return false;">
                                    <i class="fa fa-angle-down"></i>
                                </button> 
                            </div>  
                            <input  name="qty"
                                    type="number" 
                                    min="1" 
                                    value="<?= $block->getProductDefaultQty() * 1 ?>"
                                    title="<?= $block->escapeHtmlAttr(__('Qty')) ?>"
                                    data-validate="<?= $block->escapeHtml(json_encode($block->getQuantityValidators())) ?>"
                                    id="qtySticky"
                                    class="qty"
                            >
                            <div class="btn-plus">
                                <button  type="button" class="increase items" onclick="var result = document.getElementById('qtySticky'); var qtySticky = result.value; if( !isNaN( qtySticky )) result.value++;return false;">
                                    <i class="fa fa-angle-up"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="contentShow">
                    <div class="clSticky">
                        <button id="btnSticky" class="action button" title="<?= $block->escapeHtmlAttr($buttonTitle) ?>"><span><?= $block->escapeHtml($buttonTitle) ?></span></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
$formData = [
    'stickyCart'                =>  '.stickyCart',
    'qtySticky'                 =>  '#qtySticky',
    'quantity'                  =>  '.quantity',
    'btnSticky'                 =>  '#btnSticky'
];
$stickyData = $this->helper('Magento\Framework\Json\Helper\Data')->jsonEncode($formData);
?>
<script type="text/x-magento-init">
    {
        "*": {
            "magepowStickycart": {
            "jsonData":<?php /* @noEscape */ echo $stickyData; ?>,
            "typeProduct": "<?php /* @noEscape */ echo $_product->getTypeId(); ?>",
            "scrollHeight": <?php   echo $heightScroll; ?>
            }
        }
    }
</script>
